# Type Alias WidgetTableColumnData

type WidgetTableColumnData = {
dateFormat?: DateFormat;
isVisible?: boolean;
label?: string;
name?: string;
numberFormat?: NumberFormat;
sortByCreationDate?: boolean;
textEllipsis?: boolean;
}

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:60

##### Index

### Properties

dateFormat?
isVisible?
label?
name?
numberFormat?
sortByCreationDate?
textEllipsis?

## Properties

### `Optional` dateFormat

dateFormat?: DateFormat

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:65

### `Optional` isVisible

isVisible?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:62

### `Optional` label

label?: string

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:64

### `Optional` name

name?: string

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:61

### `Optional` numberFormat

numberFormat?: NumberFormat

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:66

### `Optional` sortByCreationDate

sortByCreationDate?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:67

### `Optional` textEllipsis

textEllipsis?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:63